# Update employee

Update an employee

Endpoint: PUT /employees/{employeeId}
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `employeeId` (string, required)
    The unique employee identifier.

## Request fields (application/json):

  - `firstName` (string)
    The employee's first name.

  - `lastName` (string)
    The employee's last name.

  - `email` (string)
    The employee's email address.

  - `externalId` (string)
    The lender's external identifier for the employee.

  - `jobName` (string)
    The name of position in the company—e.g., "CEO", "Agent", "Supervisor"

  - `managerEmployeeId` (string)
    Peach's unique or lender's external identifier.

  - `phone` (string)
    The employee's phone number.

  - `teams` (array)

  - `teams.email` (string)
    The group email (or listserve) associated with this team.

  - `teams.externalId` (string)
    The lender's external identifier of the team.

  - `teams.name` (string)
    The name of the team—e.g., "Engineering", "Operations", "Customer Support". Must be unique.

  - `userId` (string)
    The ID of the user associated with this employee

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    An employee in the company

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.id` (string)
    A unique identifier for the employee

  - `data.updatedAt` (string)

  - `data.firstName` (string)
    The employee's first name.

  - `data.lastName` (string)
    The employee's last name.

  - `data.assignedInvestorIds` (array)
    The unique identifiers of the investors assigned to the employee.

  - `data.availableAndPermittedTasktypes` (array)
    The Twilio task router task types on which this employee is both permitted and available to work.

  - `data.companyId` (string)
    The unique company identifier.

  - `data.displayName` (string)
    The agent's first and last name, if set. Otherwise, their email
address.

  - `data.email` (string)
    The employee's email address.

  - `data.externalId` (string)
    The lender's external identifier for the employee.

  - `data.jobName` (string)
    The name of position in the company—e.g., "CEO", "Agent", "Supervisor"

  - `data.object` (string)
    Enum: "Employee"

  - `data.phone` (string)
    The employee's phone number.

  - `data.teams` (array)

  - `data.teams.email` (string)
    The group email (or listserve) associated with this team.

  - `data.teams.employeeCount` (integer)
    The number of employees on this team.

  - `data.teams.externalId` (string)
    The lender's external identifier of the team.

  - `data.teams.id` (string)

  - `data.teams.name` (string)
    The name of the team—e.g., "Engineering", "Operations", "Customer Support". Must be unique.

  - `data.user` (any)
    The user associated with this employee

